## t1utils 1.2

=== Makefile ===
# Makefile for type-1 utilities (t1utils)
#
# author: I. Lee Hetherington (ilh@lcs.mit.edu)
#
# $Log:	Makefile,v $
# Revision 1.2  92/06/23  10:50:23  ilh
# added .doc formatting
# 
# Revision 1.1  92/05/22  12:09:09  ilh
# initial version
# 
# $Id: Makefile,v 1.2 92/06/23 10:50:23 ilh Exp $

BINDIR=$(HOME)/bin
MANDIR=$(HOME)/man/man1

# ANSI C --- can use gcc too
#CC=acc
CC=gcc

# You may want -D_MSDOS here
CFLAGS=-O2

all:		t1disasm t1asm t1ascii t1binary unpost

t1disasm:	t1disasm.o
		$(CC) -o t1disasm t1disasm.o

t1asm:		t1asm.o
		$(CC) -o t1asm t1asm.o

t1ascii:	t1ascii.o
		$(CC) -o t1ascii t1ascii.o

t1binary:	t1binary.o
		$(CC) -o t1binary t1binary.o

unpost:		unpost.o
		$(CC) -o unpost unpost.o

install:	all
		install -cs t1disasm $(BINDIR)
		install -cs t1asm $(BINDIR)
		install -cs t1ascii $(BINDIR)
		install -cs t1binary $(BINDIR)
		install -cs unpost $(BINDIR)
		rm -f $(MANDIR)/t1disasm.1
		cp t1disasm.1 $(MANDIR)
		rm -f $(MANDIR)/t1asm.1
		cp t1asm.1 $(MANDIR)
		rm -f $(MANDIR)/t1ascii.1
		cp t1ascii.1 $(MANDIR)
		rm -f $(MANDIR)/t1binary.1
		cp t1binary.1 $(MANDIR)
		rm -f $(MANDIR)/unpost.1
		cp unpost.1 $(MANDIR)

# For those without nroff/man

doc:		t1ascii.1 t1asm.1 t1binary.1 t1disasm.1 unpost.1
		nroff -man t1ascii.1 | ul -i \
			| egrep -v '^[ \t]*_[_ \t]*$$' > t1ascii.doc
		nroff -man t1asm.1 | ul -i \
			| egrep -v '^[ \t]*_[_ \t]*$$' > t1asm.doc
		nroff -man t1binary.1 | ul -i \
			| egrep -v '^[ \t]*_[_ \t]*$$' > t1binary.doc
		nroff -man t1disasm.1 | ul -i \
			| egrep -v '^[ \t]*_[_ \t]*$$' > t1disasm.doc
		nroff -man unpost.1 | ul -i \
			| egrep -v '^[ \t]*_[_ \t]*$$' > unpost.doc
clean:
	rm -f *.o *~ *.bak core a.out t1disasm t1asm t1ascii t1binary \
		unpost *.doc

## t1utils 1.36

=== debian/changelog ===
t1utils (1.36-1+deb6u1) squeeze-lts; urgency=medium

  * Non-maintainer upload by the Squeeze LTS team.
  * Fix CVE-2015-3905: Buffer overflow in the set_cs_start function in
    t1disasm.c allowed remote attackers to cause a denial of service (crash)
    and possibly execute arbitrary code via a crafted font file. Backported
    from jessie, thanks to Niels Thykier (upstream's fix is more complex).

 -- Santiago Ruano Rincón <santiagorr@riseup.net>  Mon, 29 Jun 2015 09:42:27 +0200

t1utils (1.36-1) unstable; urgency=low

  * New upstream release.
  * Minor code cleanups; support for --enable-multiplatform switch.
  * Update Debian Standards-Version to 3.8.4 (no code changes).
  * Add debian/sources/format (3.0 (quilt)).
  * debian/control: Update Depends for debhelper.

 -- C.M. Connelly <cmc@debian.org>  Wed, 02 Jun 2010 11:40:25 -0700

t1utils (1.35-1) unstable; urgency=low

  * New upstream release.
  * Fixes FTBS problem discovered in Ubuntu. (Closes: #551523)

 -- C.M. Connelly <cmc@debian.org>  Thu, 29 Oct 2009 20:44:07 -0700

t1utils (1.34-2) unstable; urgency=low

  * Add versioned dependency on debhelper to satisfy lintian.
  * Add debian/watch file.
  * Update Standards-Version to 3.8.3.  No code changes.

 -- C.M. Connelly <cmc@debian.org>  Tue, 25 Aug 2009 00:45:59 -0700

t1utils (1.34-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.1.  No code changes.

 -- C.M. Connelly <cmc@debian.org>  Mon, 13 Apr 2009 12:11:39 -0700

t1utils (1.33-2) unstable; urgency=low

  * Update Standards-Version to 3.8.0.  No code changes.

 -- C.M. Connelly <cmc@debian.org>  Thu, 19 Feb 2009 12:10:29 -0800

t1utils (1.33-1) unstable; urgency=low

  * New upstream release.  Fixes signedness comparison warnings during
    compilation.

 -- C.M. Connelly <cmc@debian.org>  Thu, 10 Jan 2008 12:43:10 -0800

t1utils (1.32-2) unstable; urgency=low

  * Update Standards-Version in debian/control (no code changes required).
  * Add Homepage field in debian/control
  * Update Description field in debian/control
  * Clean up/modernize debian/rules.
  * Fix cleaning rules in debian/rules.
  * Fix installation clause so we actually install component programs.
  * Add debian/compat file to support current version of debhelper.
  * Drop unneeded debian/dirs file.

 -- C.M. Connelly <cmc@debian.org>  Mon, 07 Jan 2008 15:04:30 -0800

t1utils (1.32-1) unstable; urgency=medium

  * New upstream release
  * Fixes memory corruption bug

 -- C.M. Connelly <cmc@debian.org>  Tue,  2 Mar 2004 09:25:34 -0800

t1utils (1.31-1) unstable; urgency=low

  * New upstream release
  * Support fonts where the first eexec-encrypted byte is binary 0

 -- C.M. Connelly <cmc@debian.org>  Thu, 19 Feb 2004 21:01:09 -0800

t1utils (1.30-1) unstable; urgency=low

  * New upstream release
  * Support fonts where "currentfile eexec" isn't followed by a newline

 -- C.M. Connelly <cmc@debian.org>  Sun, 25 Jan 2004 22:48:46 -0800

t1utils (1.29-1) unstable; urgency=low

  * New upstream release
  * t1disasm: handles Omega font

 -- C.M. Connelly <cmc@debian.org>  Mon, 13 Oct 2003 18:41:03 -0700

t1utils (1.28-1) unstable; urgency=low

  * New upstream release
  * Fix some built problems experienced by some users
  * Upgraded Standards-Version to 3.6.1.0

 -- C.M. Connelly <cmc@debian.org>  Tue,  2 Sep 2003 23:34:20 -0700

t1utils (1.27-1) unstable; urgency=low

  * New upstream release
  * Updated Standards-Version to 3.5.9.0

 -- C.M. Connelly <cmc@debian.org>  Mon, 31 Mar 2003 17:14:49 -0800

t1utils (1.26-2) unstable; urgency=low

  * Updated Standards-Version to 3.5.8.0
  * debian/control: Removed period at end of Description line

 -- C.M. Connelly <cmc@debian.org>  Thu, 30 Jan 2003 14:14:54 -0800

t1utils (1.26-1) unstable; urgency=low

  * New upstream release

 -- C.M. Connelly <cmc@debian.org>  Tue, 23 Apr 2002 20:18:13 -0700

t1utils (1.25-1) unstable; urgency=medium

  * New upstream release
  * Fixes a buglet in t1asm reported by Luc Deroye; see
    /usr/share/doc/t1utils/changelog.gz for more details

 -- C.M. Connelly <cmc@debian.org>  Tue,  8 Jan 2002 09:28:41 -0800

t1utils (1.24-1) unstable; urgency=low

  * New upstream release
  * More changes to fix compilation bugs on various platforms
  
 -- C.M. Connelly <cmc@debian.org>  Mon, 10 Sep 2001 13:25:23 -0700

t1utils (1.23-3) unstable; urgency=low

  * debian/copyright: Changed upstream author line to make new version of
    lintian (1.20.14) happy

 -- C.M. Connelly <cmc@debian.org>  Fri, 31 Aug 2001 16:39:47 -0700

t1utils (1.23-2) unstable; urgency=low

  * debian/rules: Use dh_installchangelogs to install upstream changelog
  * debian/control: Update Standards-Version to 3.5.6.0

 -- C.M. Connelly <cmc@debian.org>  Mon, 20 Aug 2001 10:18:09 -0700

t1utils (1.23-1) unstable; urgency=low

  * New upstream release -- fixes problem with MacBinary CRC 
  * Updated to Standards-Version 3.5.5.0
  * Added code to debian/rules to install NEWS file as changelog.gz
  * Add Build-Depends for debhelper
  * Re-enable warnings

 -- C.M. Connelly <cmc@debian.org>  Mon, 18 Jun 2001 18:35:59 -0700

t1utils (1.22-1) unstable; urgency=high

  * New upstream release
  * Fixes a serious bug in handling PFA fonts with DOS line
    endings. This bug can cause font corruption, and has been present
    since Version 1.13. Reported by Han The Thanh <thanh@informatics.muni.cz>
  * Updated Standards-Version
  * Dropped INSTALL file from docs

 -- C.M. Connelly <cmc@debian.org>  Tue,  6 Mar 2001 16:08:08 -0800

t1utils (1.21-1) unstable; urgency=low

  * New upstream release
  * Fixes some small, noncritical bugs in t1ascii, t1asm, and t1unmac.
    See the NEWS file (in /usr/share/doc/t1utils) for more information.
  * Updated README.Debian
  * Removed TODO from debian/docs

 -- C.M. Connelly <cmc@debian.org>  Mon, 12 Feb 2001 14:16:21 -0800

t1utils (1.20-1) unstable; urgency=low

  * New maintainer: C.M. Connelly <cmc@debian.org>
  * Closes: #61803



=== debian/control ===
Source: t1utils
Section: text
Priority: optional
Homepage: http://www.lcdf.org/type/
Maintainer: C.M. Connelly <cmc@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4

Package: t1utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Collection of simple Type 1 font manipulation programs
 The t1utils tools allow you to convert between PFA (ASCII) and PFB
 (binary) formats; disassemble PFA or PFB files into human-readable
 form; and reassemble the human-readable files into PFA or PFB format
 files.  You can also  extract font resources from a Macintosh font
 file (ATM/Laserwriter), or create a Macintosh Type 1 font file from a
 PFA or PFB font.
 .
 There are currently six programs:
 .
  t1ascii   Converts PFB files to PFA format.
 .
  t1binary  Converts PFA files to PFB format.
 .
  t1disasm  Disassembles a Type 1 font (PFA or PFB format) into a raw,
            human-readable text form for subsequent hand editing,
            tweaking, hint fixing, etcetera...
 .
  t1asm     Assembles a Type 1 font into PFA or PFB format from 
            the human-readable form produced by t1disasm.
 .
  t1unmac   Extracts POST resources from a Macintosh Type 1 font file
            (ATM/Laserwriter) into PFA or PFB format for use outside
            the Macintosh environment.  The Macintosh file should be
            stored in MacBinary, AppleSingle, AppleDouble, or BinHex
            format, or as a raw resource fork.  Note that t1unmac does
            not have to run on a Macintosh, but makes Macintosh Type 1
            fonts available for use on Unix machines and PCs.
 .
  t1mac     Creates a Macintosh Type 1 file from a PFA- or PFB-format
            Type 1 font. Writes the Macintosh file in MacBinary,
            AppleSingle, AppleDouble, or BinHex format, or as a raw
            resource fork.  WARNING: This tool will not suffice to
            allow you to use the new font on a Macintosh, as
            Macintoshes cannot read raw Type 1 fonts.  You will need
            to create a font suitcase containing bitmap fonts.  If you
            do not already have such a suitcase for the font, T1utils
            will not help you create one.
 .
 This version of the t1utils programs has been maintained by Eddie
 Kohler <eddietwo@lcs.mit.edu> since version 1.5, based on the
 original code by I. Lee Hetherington.  As such, it is a complete
 replacement for the t1utils Debian package, which is based on version
 1.2 of I. Lee Hetherington's code.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for t1utils package
# This file is public domain software, originally written
# by Claire Connelly; based on a file written by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-warnings
	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) prefix=`pwd`/debian/`dh_listpackages`/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS	
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## t1utils 1.37

=== debian/changelog ===
t1utils (1.37-2ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible arbitrary code execution
    via a crafted PFB font file
    - debian/patches/0001-Security-fixes.patch: Dynamically allocate a buffer
      of sufficient size. Based on upstream patch.
    - CVE-2015-3905

 -- Tyler Hicks <tyhicks@canonical.com>  Tue, 02 Jun 2015 16:23:59 -0500

t1utils (1.37-2ubuntu1) saucy; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2013 18:39:18 +0200

t1utils (1.37-2) unstable; urgency=low

  * Bug fix: "Please remove history discussion from the package
    description", thanks to Adrian Bunk (Closes: #642200).
  * Update Debian Standards-Version to 3.9.3.0 (no code changes).
  * Adds build-arch and build-indep targets to debian/rules.
  * Add hardening directives.

 -- C.M. Connelly <cmc@debian.org>  Sat, 30 Jun 2012 12:50:32 -0700

t1utils (1.37-1) unstable; urgency=low

  * New upstream release
  * Fixes a bug with handling large characters.
  * Update Debian Standards-Version 3.9.1.0 (no code changes).

 -- C.M. Connelly <cmc@debian.org>  Wed, 07 Sep 2011 12:01:09 -0700

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: text
 Priority: optional
 Homepage: http://www.lcdf.org/type/
-Maintainer: C.M. Connelly <cmc@debian.org>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: C.M. Connelly <cmc@debian.org>
+Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16.1~), autotools-dev
+Standards-Version: 3.9.3.0
 
 Package: t1utils
 Architecture: any
@@ -47,9 +48,4 @@
             to create a font suitcase containing bitmap fonts.  If you
             do not already have such a suitcase for the font, T1utils
             will not help you create one.
- .
- This version of the t1utils programs has been maintained by Eddie
- Kohler <eddietwo@lcs.mit.edu> since version 1.5, based on the
- original code by I. Lee Hetherington.  As such, it is a complete
- replacement for the t1utils Debian package, which is based on version
- 1.2 of I. Lee Hetherington's code.
+

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,17 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: build-stamp
+export DPKG_EXPORT_BUILDFLAGS=1
+include /usr/share/dpkg/buildflags.mk
+
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 build-stamp:
 	dh_testdir
 
+	dh_autotools-dev_updateconfig
 	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-warnings
 	# Add here commands to compile the package.
 	$(MAKE)
@@ -25,6 +32,7 @@
 	[ ! -f Makefile ] || $(MAKE) clean
 	[ ! -f Makefile ] || $(MAKE) distclean
 
+	dh_autotools-dev_restoreconfig
 	dh_clean
 
 install: build

## t1utils 1.38

=== debian/changelog ===
t1utils (1.38-4) unstable; urgency=medium

  * Add bounds check for cs_start buffer.  (Closes: #779274)
  * Increase the size of cs_start to 1024 from 10 to support
    longer values.  This is closer to the spirit upstream's
    fix that supports arbitrary long values provided the
    machine have enough memory.

 -- Niels Thykier <niels@thykier.net>  Sun, 01 Mar 2015 22:30:57 +0100

t1utils (1.38-3) unstable; urgency=medium

  * Replace the Debian patch for #772774 with upstreams
    own version for the same issue.

 -- Niels Thykier <niels@thykier.net>  Thu, 11 Dec 2014 18:43:27 +0100

t1utils (1.38-2) unstable; urgency=medium

  * Apply patch to avoid infinite loop on some fonts files
    in t1disasm.  Thanks to Jakub Wilk for reporting and the
    "American fuzzy lop" tool for creating the crafted font
    file.  (Closes: #772774)

 -- Niels Thykier <niels@thykier.net>  Thu, 11 Dec 2014 17:58:11 +0100

t1utils (1.38-1) unstable; urgency=medium

  * New upstream release.
    - Fixes call-stack overflow/segmentation fault.
      (Closes: #724571)
  * Take over maintenance of the package.
    - New maintainer email.  (Closes: #744736)
  * Updated debian/copyright.

 -- Niels Thykier <niels@thykier.net>  Tue, 14 Oct 2014 20:10:04 +0200

t1utils (1.37-2.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Mattia Rizzolo ]
  * Use dh_autoreconf to update config.{sub,guess} and libtool.m4/aclocal.m4
    (Closes: #727274).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Aug 2014 06:22:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: text
 Priority: optional
 Homepage: http://www.lcdf.org/type/
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: C.M. Connelly <cmc@debian.org>
-Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16.1~), autotools-dev
+Maintainer: Niels Thykier <niels@thykier.net>
+Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16.1~), dh-autoreconf
 Standards-Version: 3.9.3.0
 
 Package: t1utils

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 build-stamp:
 	dh_testdir
 
-	dh_autotools-dev_updateconfig
+	dh_autoreconf
 	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-warnings
 	# Add here commands to compile the package.
 	$(MAKE)
@@ -32,7 +32,7 @@
 	[ ! -f Makefile ] || $(MAKE) clean
 	[ ! -f Makefile ] || $(MAKE) distclean
 
-	dh_autotools-dev_restoreconfig
+	dh_autoreconf_clean
 	dh_clean
 
 install: build

## t1utils 1.39

=== debian/changelog ===
t1utils (1.39-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump debhelper compat to 10.
  * Migrate to dh-style rules and enable all hardening.
  * Bump Standards-Version to 3.9.6 - no changes required.
  * Install the NEWS file as the upstream changelog.

 -- Niels Thykier <niels@thykier.net>  Sat, 02 Jan 2016 14:22:12 +0000

t1utils (1.39-1) experimental; urgency=medium

  * New upstream release.
    - Fix infinite loop in t1disasm on some fonts.
    - Fix leak of va_list by adding necessary va_end calls.
    - Fix buffer-overflow that can reliably overwrite a
      FILE* pointer.  (Closes: #779274)
  * Drop patch for the infinite loop in t1disasm, since it is
    included in the upstream release.

 -- Niels Thykier <niels@thykier.net>  Sat, 28 Feb 2015 08:53:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Homepage: http://www.lcdf.org/type/
 Maintainer: Niels Thykier <niels@thykier.net>
-Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.16.1~), dh-autoreconf
-Standards-Version: 3.9.3.0
+Build-Depends: debhelper (>= 9.20151225), dpkg-dev (>= 1.16.1~), dh-autoreconf
+Standards-Version: 3.9.6
 
 Package: t1utils
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--no-add-needed,--as-needed,--no-undefined
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with autoreconf

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
# debian/watch for t1utils

# mandatory version
version=3

# t1utils live on Eddie Kohler's website:
http://www.lcdf.org/type/ \
  t1utils-([\d\.]*).tar.gz

## t1utils 1.40

=== debian/changelog ===
t1utils (1.40-2) unstable; urgency=medium

  * Define _GNU_SOURCE to ensure we get memmem() defined.
    Otherwise, t1utils is miscompiled and ends up being broken.
    Thanks to Steve Langasek for the report and the analysis.
    (Closes: #869756)
  * Add temporary patch to gracefully terminate on known off-by-one
    error condition (rather than do a buffer overflow).  Bug is
    reported upstream (https://github.com/kohler/t1utils/issues/9)
    and we hope to have a better fix in a later release.
    (Closes:  #869797)
  * Make the build fail hard on implicitly defined C functions to
    avoid repeating #869756 in the future.

 -- Niels Thykier <niels@thykier.net>  Wed, 26 Jul 2017 21:07:06 +0000

t1utils (1.40-1) unstable; urgency=medium

  * New upstream release.
    - Fixes a read-only buffer-overflow.  Thanks to Jakub Wilk
      for reporting it.  (Closes: #868134)
  * Remove Build-Depends on autoreconf and remove autoreconf
    related code from debian/rules.  This is implied by debhelper
    compat 10.
  * Correct the names of the upstream README and NEWS file, so
    they are installed.
  * Bump Standards-Versions to 4.0.0 - no changes required.
  * Bump versioned Build-Dependency on debhelper to require a
    minimum version of 10.

 -- Niels Thykier <niels@thykier.net>  Mon, 24 Jul 2017 20:08:36 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Homepage: http://www.lcdf.org/type/
 Maintainer: Niels Thykier <niels@thykier.net>
-Build-Depends: debhelper (>= 9.20151225), dpkg-dev (>= 1.16.1~), dh-autoreconf
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10~), dpkg-dev (>= 1.16.1~)
+Standards-Version: 4.0.0
 
 Package: t1utils
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND=-Werror=implicit-function-declaration
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--no-add-needed,--as-needed,--no-undefined
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Temporary work around for #869756 / https://github.com/kohler/t1utils/issues/8
export DEB_CPPFLAGS_MAINT_APPEND=-D_GNU_SOURCE

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

## t1utils 1.41

=== debian/changelog ===
t1utils (1.41-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.

  [ Niels Thykier ]
  * Bump debhelper compat level to 13.
  * Bump Standards-Version to 4.5.0 - no changes required.

 -- Niels Thykier <niels@thykier.net>  Wed, 15 Apr 2020 14:42:35 +0000

t1utils (1.41-3) unstable; urgency=medium

  * Bump debhelper-compat to 12.
  * Bump Standards-Versions to 4.3.0 - no changes required.
  * Migrate git repo for debian packaging to salsa.d.o.

 -- Niels Thykier <niels@thykier.net>  Tue, 25 Dec 2018 09:17:32 +0000

t1utils (1.41-2) unstable; urgency=medium

  * Mark t1utils as "Multi-Arch: foreign".

 -- Niels Thykier <niels@thykier.net>  Wed, 15 Nov 2017 18:33:24 +0000

t1utils (1.41-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch for an off-by-one issue that is now fixed upstream.
  * Set R³ to no; t1utils does not need (fake)root during package
    build.
  * Have git and dpkg-source ignore some auto-generated files that
    are regenerated during build.
  * Enable the dwz sequence to reduce size of debug files.
  * Add versioned build-dependency on debhelper to ensure that
    the dwz tooling is available.  Also add a build-dependency
    on dwz as debhelper does not provide dwz for dh_dwz at the
    moment (dh_dwz is experimental).
  * Drop now unnecessary versioned Build-Depends on dpkg-dev.
  * Update the Homepage field and the watch file to use https.
  * Add Vcs-* fields.
  * Bump Standards-Version to 4.1.1 - no additional changes required.
  * Tweak compiler warning flags, so we can easily spot new warnings.

 -- Niels Thykier <niels@thykier.net>  Sun, 29 Oct 2017 18:44:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: t1utils
 Section: text
 Priority: optional
-Homepage: http://www.lcdf.org/type/
+Homepage: https://www.lcdf.org/type/
 Maintainer: Niels Thykier <niels@thykier.net>
-Build-Depends: debhelper (>= 10~), dpkg-dev (>= 1.16.1~)
-Standards-Version: 4.0.0
+Build-Depends: debhelper-compat (= 13),
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/debian/t1utils.git
+Vcs-Browser: https://salsa.debian.org/debian/t1utils
 
 Package: t1utils
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Collection of simple Type 1 font manipulation programs
  The t1utils tools allow you to convert between PFA (ASCII) and PFB
@@ -27,7 +31,7 @@
             human-readable text form for subsequent hand editing,
             tweaking, hint fixing, etcetera...
  .
-  t1asm     Assembles a Type 1 font into PFA or PFB format from 
+  t1asm     Assembles a Type 1 font into PFA or PFB format from
             the human-readable form produced by t1disasm.
  .
   t1unmac   Extracts POST resources from a Macintosh Type 1 font file
@@ -47,4 +51,3 @@
             to create a font suitcase containing bitmap fonts.  If you
             do not already have such a suitcase for the font, T1utils
             will not help you create one.
-

=== debian/watch ===
# debian/watch for t1utils

# mandatory version
version=3

# t1utils live on Eddie Kohler's website:
https://www.lcdf.org/type/ \
  t1utils-([\d\.]*).tar.gz
